export default defineI18nConfig(() => ({
  legacy: false,
  locale: "en",
  messages: {
    en: {
      home: "Home",
      logs: "Logs",
      userManagement: "User Management",
      logout: "Logout",
      login: {
        welcomeBackTo: "Welcome back to",
        yourEmail: "Your email",
        password: "Password",
        rememberMe: "Remember Me",
        forgotPassword: "Forgot password?",
        signIn: "Sign In",
        signInWithGithub: "Sign In with Github",
        signInWithGoogle: "Sign In with Google",
        dontHaveAnAccountYet: "Don’t have an account yet?",
        signUp: "Sign Up",
      },
      newLog: {
        scanANewLog: "Scan a new Log:",
        introduceYourCortexLogs: "Introduce your Cortex Logs",
        orImportFromFile: "Or import from File",
        chooseFile: "Choose File",
        noFileChosen: "No file chosen",
        analizeLogs: "Analize Logs",
      },
    },
    es: {
      home: "Inicio",
      logs: "Logs",
      userManagement: "Gestión de usuarios",
      logout: "Cerrar sesión",
      login: {
        welcomeBackTo: "Bienvenido a",
        yourEmail: "Tu email",
        password: "Contraseña",
        rememberMe: "Recuérdame",
        forgotPassword: "Contraseña olvidada?",
        signIn: "Iniciar Sesión",
        signInWithGithub: "Iniciar Sesión con Github",
        signInWithGoogle: "Iniciar Sesión con Google",
        dontHaveAnAccountYet: "Aún no tienes cuenta?",
        signUp: "Regístrate",
      },
      newLog: {
        scanANewLog: "Escanea un nuevo Log",
        introduceYourCortexLogs: "Introduce tus Logs de Cortex:",
        orImportFromFile: "O impórtalos de un archivo",
        chooseFile: "Escoger archivo",
        noFileChosen: "Ningún archivo seleccionado",
        analizeLogs: "Analizar Logs",
      },
    },
    cat: {
      home: "Inici ",
      logs: "Logs",
      userManagement: "User Management",
      logout: "Tancar sessió",
      login: {
        welcomeBackTo: "Benvingut a",
        yourEmail: "El teu email",
        password: "Contrasenya",
        rememberMe: "Recorda'm",
        forgotPassword: "Contrasenya oblidada?",
        signIn: "Iniciar Sessió",
        signInWithGithub: "Iniciar Sessió amb Github",
        signInWithGoogle: "Iniciar Sessió amb Google",
        dontHaveAnAccountYet: "Encara no tens compte?",
        signUp: "Regístra't",
      },
      newLog: {
        scanANewLog: "Escaneja un nou Log",
        introduceYourCortexLogs: "Introdueix els teus Logs de Cortex:",
        orImportFromFile: "O importa'ls d'un arxiu",
        chooseFile: "Escollir arxiu",
        noFileChosen: "Cap arxiu seleccionat",
        analizeLogs: "Analitzar Logs",
      },
    },
  },
}));
